import request from '@/config/axios'

export interface RawCoalTransferInVO {

}

export interface RawCoalTransferInPageReqVO extends PageParam {

}

// 查询RawCoalTransferIn列表
export const getRawCoalTransferInPage = (params: RawCoalTransferInPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/wash/transferIn/page', params })
}

// 查询RawCoalTransferIn列表
export const getPointList = (params: RawCoalTransferInPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/wash/transferIn/list', params })
}

// 查询RawCoalTransferIn详情
export const getRawCoalTransferIn = (id: number) => {
  return request.get({ url: `/xmcpms/prod/wash/transferIn/info/${id}`})
}

// 新增RawCoalTransferIn
export const createRawCoalTransferIn = (data: RawCoalTransferInVO) => {
  return request.post({ url: '/xmcpms/prod/wash/transferIn/create', data })
}

// 修改RawCoalTransferIn
export const updateRawCoalTransferIn = (data: RawCoalTransferInVO) => {
  return request.put({ url: '/xmcpms/prod/wash/transferIn/update', data })
}

// 删除RawCoalTransferIn
export const deleteRawCoalTransferIn = (id: number) => {
  return request.delete({ url: '/xmcpms/prod/wash/transferIn/delete?id=' + id })
}

//导出RawCoalTransferInList
export const exportRawCoalTransferIn = (params) => {
  return request.download({ url: '/xmcpms/prod/wash/transferIn/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/prod/wash/transferIn/get-import-template' })
}
